Name:          junit-benchmarks
Version:       0.3.0
Release:       %mkrel 1
Summary:       JUnitBenchmarks
Group:         Development/Java
License:       ASL 2.0
Url:           http://labs.carrotsearch.com/junit-benchmarks.html
# mkdir -p junit-benchmarks-0.3.0
# git clone git://github.com/carrotsearch/junit-benchmarks.git
# cd junit-benchmarks
# git archive release/0.3.0 | tar -x -C ../junit-benchmarks-0.3.0
# cd ..
# tar czf json-smart-1.0.9-src-git.tar.gz json-smart-1.0.9
Source0:       junit-benchmarks-0.3.0-src-git.tar.gz
#Source1:       ...
# remove
# maven-antrun-plugin
# net.sf.retrotranslator retrotranslator-transformer retrotranslator-runtime 1.2.9
# backport-util-concurrent
# maven-clover2-plugin
Patch0:        junit-benchmarks-0.3.0-pom.patch
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: sonatype-oss-parent

BuildRequires: dom4j
BuildRequires: h2
BuildRequires: jackson
BuildRequires: jaxen
BuildRequires: junit4

BuildRequires: findbugs-maven-plugin
BuildRequires: maven-assembly-plugin
BuildRequires: maven-eclipse-plugin
BuildRequires: maven-gpg-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-jxr
BuildRequires: maven-pmd-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-report-plugin
BuildRequires: maven-surefire-provider-junit4

Requires:      h2
Requires:      junit4

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
A framework for writing performance micro-benchmarks using JUnit4 annotations.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n junit-benchmarks-%{version}
%patch0 -p0
# TODO
# sonatype-oss-parent
sed -i "s|<version>7</version>|<version>6</version>|" pom.xml
# maven-gpg-plugin
sed -i "s|<version>1.4</version>|<version>1.2</version>|" pom.xml
# maven-surefire-report-plugin
sed -i "s|<version>2.10</version>|<version>2.8.1</version>|" pom.xml
# jackson
sed -i "s|<version>1.9.1</version>|<version>1.8.4</version>|" pom.xml
rm -rf src/test/java/com/carrotsearch/junitbenchmarks/h2/TestH2HistoryChart.java

%build

mvn-rpmbuild -e \
  install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 0644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 0644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}/

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc README junit-benchmarks.LICENSE

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Wed Nov 02 2011 gil <gil> 0.3.0-1.mga2
+ Revision: 161667
- imported package junit-benchmarks

